Subject: Re: [sipcore] I-D Action: draft-ietf-sipcore-content-id-00.txt

From: Ivo Sedlacek <[email-masked]>
Date: Wed, 1 Mar 2017 08:21:32 +0000

Hello,

I re-read the comments raised at the sipcore list to draft-ietf-sipcore-content-id-00 and identified:

Comment-1) Paul pointed that the draft can be read as the SIP Content-* header fields are mandatory.

                Response: I attempt to address the comment by added a clarification in -01 that the body part formed from a SIP message contains the SIP header fields, >>if included in header fields of the SIP message<<.

Comment-2) Randall indicated that RFC2045 uses "entity" rather than "body part".

                Response: RFC3261 and RFC5621 use body parts. RFC2398 uses "body part" and "MIME entity" interchangeably. Thus, I would rather stick to "body part".

Comment-3) Paul suggested to state that the body part is formed from *all* the SIP header fields (rather than just those identified in section 3.3.)

                Response:

                - Paul's suggestion would require that all SIP header fields are registered by IANA as MIME header fields.

                - We would need to do so to ensure that none can register e.g. a MIME "History-Info" header field with syntax or semantic deviating from the SIP "History-Info" header field.

                - IMO, this makes too much dependency between SIP and MIME and thus I would prefer to stick to explicitly identified SIP header fields which form the body part, as in section 3.3.

Furthermore, I identified that MIME-Version should be listed as a SIP header field which also forms the body part, and included it in section 3.3.

We have created a pull request with the changes: https://github.com/cdh4u/draft-content-id/pull/1  We intend to submit a new version of the draft before the Chicago cut-off, so please take a look.

Kind regards

Ivo